UUSTAT(1C)

NAME
uustat - UUCP status inquiry and job control

SYNOPSIS
uustat -a| -m| -p| -q| -k jobid| -r jobid

uustat [ -s system ] [ -u user ]

AVAILABILITY

This command is available with the uucp software installation option. Refer to for information on how to install optional software.

DESCRIPTION

uustat displays the status of, or cancels, previously specified uucp(1C) commands. It also reports the status of uucp connections to other systems. When no options are given, uustat displays the status of all uucp requests issued by the current user.

OPTIONS

Only one of the following options can be specified at a time:

-a  Output all jobs in queue.

-m  Report the status of accessibility of all machines.

-p  Execute a ps for all the PIDs listed in the lock files.

-q  List the jobs queued for each machine. If a status file exists for the machine, its date, time and status information are reported. In addition, if a number appears in parentheses next to the number of C. or X. files, it is the age in days of the oldest C./X. file for that system. The Retry field represents the number of hours until the next possible call. The Count is the number of failure attempts. For systems with a moderate number of outstanding jobs, this could take 30 seconds or more to execute. An example of the output from -q is:

        eagle	3C	04/07-11:07	NO DEVICES AVAILABLE
        mh3bs3	2C	07/07-10:42	SUCCESSFUL

    This indicates the number of command files that are waiting for each system. Each command file may have zero or more files to be sent (zero means to call the system and see if work is to be done). The date and time refer to the previous interaction with the system followed by the status of the interaction.

-kjobid
    Kill the UUCP request with job identification of jobid. You must either own the job to be killed, or be the super-user.

-rjobid
    Rejuvenate jobid. The files associated with jobid are touched so that their modification time is set to the current time. This prevents the cleanup daemon from deleting the job until the jobs modification time reaches the next limit imposed by the daemon.

The following options can be specified separately or together:

-ssystem
    Report the status of all UUCP requests for remote system system.

-uuser
    Report the status of all UUCP requests issued by user.

    Output for both the -s and -u options has the following format:

        eaglen0000	4/07-11:01:03	(POLL)
        eagleN1bd7	4/07-11:07	S	eagle	dan	522 /usr/dan/A
        eagleC1bd8	4/07-11:07	S	eagle	dan	59 D.3b2al2ce4924
         	4/07-11:07	S	eagle	dan	rmail mike

    The first field is the job ID of the job. This is followed by the date and time. The next field is either an S or R depending on whether the job is to send or request a file. This is followed by the user ID of the user who queued the job. The next field contains the size of the file, or in the case of a remote execution request, the name of the command. When the size appears in this field, the file name is also given. This can either be the name given by the user, or an internal name created for data files associated with remote executions (rmail in this example).

FILES
/var/spool/uucp/*
    UUCP spool directories

SEE ALSO
uucp(1C)